diff --git a/rubygem-faraday/rubygem-faraday.spec b/rubygem-faraday/rubygem-faraday.spec
index b1bc725d5..acc196455 100644
--- a/rubygem-faraday/rubygem-faraday.spec
+++ b/rubygem-faraday/rubygem-faraday.spec
@@ -14,24 +14,25 @@ URL: https://github.com/lostisland/faraday
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(multipart-post) >= 1.2.0
 Requires: %{?scl_prefix}rubygem(multipart-post) < 3
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Faraday is an HTTP client lib that provides a common interface over many
@@ -42,6 +43,7 @@ processing the request/response cycle.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -92,4 +94,3 @@ cp -a .%{gem_dir}/* \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.8.8-1
 - new package built with tito
-
diff --git a/rubygem-fast_gettext/rubygem-fast_gettext.spec b/rubygem-fast_gettext/rubygem-fast_gettext.spec
index 8d7f818ed..5c5f71647 100644
--- a/rubygem-fast_gettext/rubygem-fast_gettext.spec
+++ b/rubygem-fast_gettext/rubygem-fast_gettext.spec
@@ -16,17 +16,18 @@ URL: http://github.com/grosser/fast_gettext
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A simple, fast, memory-efficient and threadsafe implementation of GetText
@@ -35,6 +36,7 @@ A simple, fast, memory-efficient and threadsafe implementation of GetText
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-fastercsv/rubygem-fastercsv.spec b/rubygem-fastercsv/rubygem-fastercsv.spec
index f132bc429..5ee0cea8e 100644
--- a/rubygem-fastercsv/rubygem-fastercsv.spec
+++ b/rubygem-fastercsv/rubygem-fastercsv.spec
@@ -13,14 +13,15 @@ URL:		http://fastercsv.rubyforge.org/
 Source:		http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:	%{?scl_prefix}ruby(abi)
+Requires:	%{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:	%{?scl_prefix}ruby(release)
+Requires:	%{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:	%{?scl_prefix}rubygems
+Requires:	%{?scl_prefix_ruby}rubygems
 Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}
-BuildRequires:	%{?scl_prefix}rubygems
-BuildRequires:  %{?scl_prefix}rubygems-devel
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
+BuildRequires:	%{?scl_prefix_ruby}rubygems
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
 BuildArch:	noarch
 
 %description
diff --git a/rubygem-ffi/rubygem-ffi.spec b/rubygem-ffi/rubygem-ffi.spec
index e275b6312..2d7ae7f95 100644
--- a/rubygem-ffi/rubygem-ffi.spec
+++ b/rubygem-ffi/rubygem-ffi.spec
@@ -22,21 +22,22 @@ License:        LGPLv3
 URL:            http://wiki.github.com/ffi/ffi
 Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
-BuildRequires:  %{?scl_prefix}ruby-devel
-BuildRequires:  %{?scl_prefix}rubygems-devel
+BuildRequires:  %{?scl_prefix_ruby}ruby-devel
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
 BuildRequires:	libffi-devel
 %if 0%{enable_test} > 0
-BuildRequires:	%{?scl_prefix}rubygem(rspec)
+BuildRequires:	%{?scl_prefix_ruby}rubygem(rspec)
 %endif
 
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
 
 Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ruby-FFI is a ruby extension for programmatically loading dynamic
diff --git a/rubygem-flot-rails/rubygem-flot-rails.spec b/rubygem-flot-rails/rubygem-flot-rails.spec
index 639ba0c2a..3fd271861 100644
--- a/rubygem-flot-rails/rubygem-flot-rails.spec
+++ b/rubygem-flot-rails/rubygem-flot-rails.spec
@@ -13,24 +13,25 @@ License: MIT
 URL: https://rubygems.org/gems/flot-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) => 3.1
-Requires: %{?scl_prefix}rubygem(railties) < 4
-Requires: %{?scl_prefix}rubygem(jquery-rails)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) => 3.1
+Requires: %{?scl_prefix_ruby}rubygem(railties) < 4
+Requires: %{?scl_prefix_ruby}rubygem(jquery-rails)
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Provides easy installation and usage of jQuery-flot javascript
@@ -41,6 +42,7 @@ library for your Rails 3.1+ application.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -90,4 +92,3 @@ cp -a .%{gem_dir}/* \
 
 * Thu Apr 11 2013 Ivan Necas <inecas@redhat.com> 0.0.2-1
 - new package built with tito
-
diff --git a/rubygem-fog-aws/rubygem-fog-aws.spec b/rubygem-fog-aws/rubygem-fog-aws.spec
index 5ad10241a..938c6ffcd 100644
--- a/rubygem-fog-aws/rubygem-fog-aws.spec
+++ b/rubygem-fog-aws/rubygem-fog-aws.spec
@@ -12,7 +12,7 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-aws
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(fog-core) >= 1.27
 Requires: %{?scl_prefix}rubygem(fog-core) < 2
 Requires: %{?scl_prefix}rubygem(fog-json) >= 1
@@ -22,14 +22,15 @@ Requires: %{?scl_prefix}rubygem(fog-xml) < 1
 Requires: %{?scl_prefix}rubygem(ipaddress) >= 0.8
 Requires: %{?scl_prefix}rubygem(ipaddress) < 1
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -40,6 +41,7 @@ use the Amazon Web Services in applications.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -96,4 +98,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0} --no-rdoc --
 
 * Tue Feb 17 2015 Dominic Cleal <dcleal@redhat.com> 0.0.8-1
 - new package built with tito
-
diff --git a/rubygem-fog-core/rubygem-fog-core.spec b/rubygem-fog-core/rubygem-fog-core.spec
index 9f67c8514..70250cd2e 100644
--- a/rubygem-fog-core/rubygem-fog-core.spec
+++ b/rubygem-fog-core/rubygem-fog-core.spec
@@ -12,25 +12,26 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-core
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem-builder
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem-builder
 Requires: %{?scl_prefix}rubygem-excon >= 0.45.0
 Requires: %{?scl_prefix}rubygem-excon < 1
 Requires: %{?scl_prefix}rubygem-formatador => 0.2.0
 Requires: %{?scl_prefix}rubygem-formatador < 0.3
-Requires: %{?scl_prefix}rubygem-mime-types
+Requires: %{?scl_prefix_ruby}rubygem-mime-types
 Requires: %{?scl_prefix}rubygem-net-scp => 1.1.0
 Requires: %{?scl_prefix}rubygem-net-scp < 2
 Requires: %{?scl_prefix}rubygem-net-ssh >= 2.1.3
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -44,6 +45,7 @@ for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -106,4 +108,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0} --no-rdoc --
 
 * Wed Mar 19 2014 Dominic Cleal <dcleal@redhat.com> 1.21.1-1
 - new package built with tito
-
diff --git a/rubygem-fog-google/rubygem-fog-google.spec b/rubygem-fog-google/rubygem-fog-google.spec
index 791c2f7d5..f39a966af 100644
--- a/rubygem-fog-google/rubygem-fog-google.spec
+++ b/rubygem-fog-google/rubygem-fog-google.spec
@@ -12,19 +12,20 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-google
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(fog-core)
 Requires: %{?scl_prefix}rubygem(fog-json)
 Requires: %{?scl_prefix}rubygem(fog-xml)
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -35,6 +36,7 @@ use the Google in applications.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -77,4 +79,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0} --no-rdoc --
 
 * Mon May 11 2015 Dominic Cleal <dcleal@redhat.com> 0.0.5-1
 - new package built with tito
-
diff --git a/rubygem-fog-json/rubygem-fog-json.spec b/rubygem-fog-json/rubygem-fog-json.spec
index 5e86e63a6..1463eee49 100644
--- a/rubygem-fog-json/rubygem-fog-json.spec
+++ b/rubygem-fog-json/rubygem-fog-json.spec
@@ -12,20 +12,21 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-json
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(multi_json) >= 1.10
 Requires: %{?scl_prefix}rubygem(multi_json) < 2
 Requires: %{?scl_prefix}rubygem(fog-core) >= 1
 Requires: %{?scl_prefix}rubygem(fog-core) < 2
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -36,6 +37,7 @@ the 'fog' gem.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -85,4 +87,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0} --no-rdoc --
 
 * Wed Mar 19 2014 Dominic Cleal <dcleal@redhat.com> 1.0.0-1
 - new package built with tito
-
diff --git a/rubygem-fog-libvirt/rubygem-fog-libvirt.spec b/rubygem-fog-libvirt/rubygem-fog-libvirt.spec
index d4aff20ef..927c82fab 100644
--- a/rubygem-fog-libvirt/rubygem-fog-libvirt.spec
+++ b/rubygem-fog-libvirt/rubygem-fog-libvirt.spec
@@ -12,7 +12,7 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-libvirt
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(fog-core) >= 1.27.4
 Requires: %{?scl_prefix}rubygem(fog-core) < 2
 Requires: %{?scl_prefix}rubygem(fog-json)
@@ -27,14 +27,15 @@ Requires: %{?scl_prefix}rubygem(ruby-libvirt) >= 0.5
 Requires: %{?scl_prefix}rubygem(ruby-libvirt) < 0.6
 %endif
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -45,6 +46,7 @@ use the Amazon Web Services in applications.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -89,4 +91,3 @@ sed -i '/add_.*dependency.*ruby-libvirt/d' %{buildroot}%{gem_spec}
 
 * Mon May 11 2015 Dominic Cleal <dcleal@redhat.com> 0.0.1-1
 - new package built with tito
-
diff --git a/rubygem-fog-xml/rubygem-fog-xml.spec b/rubygem-fog-xml/rubygem-fog-xml.spec
index 055370ad8..4be0198ff 100644
--- a/rubygem-fog-xml/rubygem-fog-xml.spec
+++ b/rubygem-fog-xml/rubygem-fog-xml.spec
@@ -12,19 +12,20 @@ Group: Development/Ruby
 License: MIT
 URL: http://github.com/fog/fog-xml
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(fog-core)
 Requires: %{?scl_prefix}rubygem(nokogiri) >= 1.5.11
 Requires: %{?scl_prefix}rubygem(nokogiri) < 2.0
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -35,6 +36,7 @@ Extraction of the XML parsing tools shared between a number of providers in the
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -79,4 +81,3 @@ gem install --local --install-dir %{gembuilddir} --force %{SOURCE0} --no-rdoc --
 
 * Mon Oct 13 2014 Dominic Cleal <dcleal@redhat.com> 0.1.0-1
 - new package built with tito
-
diff --git a/rubygem-fog/rubygem-fog.spec b/rubygem-fog/rubygem-fog.spec
index 602097a47..deb291718 100644
--- a/rubygem-fog/rubygem-fog.spec
+++ b/rubygem-fog/rubygem-fog.spec
@@ -28,7 +28,7 @@ Patch13: fog-no-local.patch
 Patch14: fog-no-powerdns.patch
 Patch15: fog-no-dynect.patch
 
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(fog-aws) >= 0.6.0
 Requires: %{?scl_prefix}rubygem(fog-core) >= 1.32.0
 Requires: %{?scl_prefix}rubygem(fog-core) < 2.0.0
@@ -41,13 +41,13 @@ Requires: %{?scl_prefix}rubygem(ipaddress) < 1.0
 Requires: %{?scl_prefix}rubygem(nokogiri) >= 1.5.11
 Requires: %{?scl_prefix}rubygem(nokogiri) < 2.0
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: %{?scl_prefix}rubygem(fog-aws) >= 0.6.0
 BuildRequires: %{?scl_prefix}rubygem(fog-core) >= 1.32.0
 BuildRequires: %{?scl_prefix}rubygem(fog-core) < 2.0.0
@@ -60,13 +60,14 @@ BuildRequires: %{?scl_prefix}rubygem(ipaddress) < 1.0
 BuildRequires: %{?scl_prefix}rubygem(nokogiri) >= 1.5.11
 BuildRequires: %{?scl_prefix}rubygem(nokogiri) < 2.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(fog) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The Ruby cloud services library. Supports all major cloud providers including
@@ -76,6 +77,7 @@ for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -297,4 +299,3 @@ bin/fog -v
 
 * Thu Sep 06 2012 Miroslav Suchý <msuchy@redhat.com> 1.4.0-1
 - new package built with tito
-
diff --git a/rubygem-foreigner/rubygem-foreigner.spec b/rubygem-foreigner/rubygem-foreigner.spec
index ba7e45742..ebb449b74 100644
--- a/rubygem-foreigner/rubygem-foreigner.spec
+++ b/rubygem-foreigner/rubygem-foreigner.spec
@@ -15,27 +15,28 @@ URL:           http://github.com/matthuhiggins/foreigner
 Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 BuildArch:     noarch
 
 %if 0%{?fedora} >= 19
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} >= 19
-Requires:      %{?scl_prefix}ruby(release)
+Requires:      %{?scl_prefix_ruby}ruby(release)
 %else
-Requires:      %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires:      %{?scl_prefix}ruby
+Requires:      %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires:      %{?scl_prefix_ruby}ruby
 %endif
-Requires:      %{?scl_prefix}rubygems
-Requires:      %{?scl_prefix}rubygem(activerecord) >= 3.0.0
+Requires:      %{?scl_prefix_ruby}rubygems
+Requires:      %{?scl_prefix_ruby}rubygem(activerecord) >= 3.0.0
 
 
 %description
@@ -45,6 +46,7 @@ Adds helpers to migrations and correctly dumps foreign keys to schema.rb.
 %package doc
 Summary:   Documentation for %{pkg_name}
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 
diff --git a/rubygem-foreman-mco/rubygem-foreman-mco.spec b/rubygem-foreman-mco/rubygem-foreman-mco.spec
index 5e274308e..33cfd0bac 100644
--- a/rubygem-foreman-mco/rubygem-foreman-mco.spec
+++ b/rubygem-foreman-mco/rubygem-foreman-mco.spec
@@ -19,25 +19,26 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.2.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(deface)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-mco
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Manage remote hosts with MCollective and Foreman.
diff --git a/rubygem-foreman-tasks/rubygem-foreman-tasks.spec b/rubygem-foreman-tasks/rubygem-foreman-tasks.spec
index 58e853334..abbe8e488 100644
--- a/rubygem-foreman-tasks/rubygem-foreman-tasks.spec
+++ b/rubygem-foreman-tasks/rubygem-foreman-tasks.spec
@@ -29,17 +29,17 @@ Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires: foreman >= 1.8.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 
 Requires: %{?scl_prefix}rubygem(dynflow) >= 0.8.3
 Requires: %{?scl_prefix}rubygem(dynflow) < 0.9.0
 Requires: %{?scl_prefix}rubygem-sequel
-Requires: %{?scl_prefix}rubygem(sinatra)
+Requires: %{?scl_prefix_ruby}rubygem(sinatra)
 Requires: %{?scl_prefix}rubygem(daemons)
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if 0%{?rhel} == 6
 Requires(post): chkconfig
 Requires(preun): chkconfig
@@ -52,21 +52,22 @@ BuildRequires: systemd
 %endif
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildRequires: %{?scl_prefix}rubygem(dynflow) >= 0.8.3
 BuildRequires: %{?scl_prefix}rubygem(dynflow) < 0.9.0
 BuildRequires: %{?scl_prefix}rubygem-sequel
-BuildRequires: %{?scl_prefix}rubygem(sinatra)
+BuildRequires: %{?scl_prefix_ruby}rubygem(sinatra)
 BuildRequires: %{?scl_prefix}rubygem(daemons)
 BuildRequires: foreman-plugin >= 1.8.0
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The goal of this plugin is to unify the way of showing task statuses across
@@ -79,6 +80,7 @@ it for managing the tasks.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -406,4 +408,3 @@ exit 0
 
 * Thu Jan 23 2014 Ivan Nečas <inecas@redhat.com> 0.1.0-1
 - new package built with tito
-
diff --git a/rubygem-foreman_abrt/rubygem-foreman_abrt.spec b/rubygem-foreman_abrt/rubygem-foreman_abrt.spec
index f6b2cd47f..2aaa6fa4b 100644
--- a/rubygem-foreman_abrt/rubygem-foreman_abrt.spec
+++ b/rubygem-foreman_abrt/rubygem-foreman_abrt.spec
@@ -28,24 +28,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.8.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-abrt
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin allows you to see bug reports submitted by Automatic Bug Reporting
@@ -54,6 +55,7 @@ Tool.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -127,4 +129,3 @@ exit 0
 
 * Mon Aug 11 2014 Martin Milata <mmilata@redhat.com> 0.0.1-1
 - new package
-
diff --git a/rubygem-foreman_api/rubygem-foreman_api.spec b/rubygem-foreman_api/rubygem-foreman_api.spec
index 1264fb00a..d368cfde0 100644
--- a/rubygem-foreman_api/rubygem-foreman_api.spec
+++ b/rubygem-foreman_api/rubygem-foreman_api.spec
@@ -12,24 +12,25 @@ License: MIT
 URL: http://github.com/theforeman/foreman_api
 Source0:  http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}rubygem(json)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}rubygem(json)
 Requires: %{?scl_prefix}rubygem(rest-client) >= 1.6.1
 Requires: %{?scl_prefix}rubygem(oauth)
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Helps you to use Foreman's API calls from your app.
@@ -37,6 +38,7 @@ Helps you to use Foreman's API calls from your app.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
diff --git a/rubygem-foreman_bootdisk/rubygem-foreman_bootdisk.spec b/rubygem-foreman_bootdisk/rubygem-foreman_bootdisk.spec
index 2b9fd609b..1907d793d 100644
--- a/rubygem-foreman_bootdisk/rubygem-foreman_bootdisk.spec
+++ b/rubygem-foreman_bootdisk/rubygem-foreman_bootdisk.spec
@@ -31,25 +31,26 @@ Requires:   /usr/bin/isohybrid
 Requires:   /usr/bin/genisoimage
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
 BuildRequires: foreman-plugin >= 1.9.0
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-bootdisk
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Plugin for Foreman that creates iPXE-based boot disks to provision hosts
@@ -58,6 +59,7 @@ without the need for PXE infrastructure.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -191,4 +193,3 @@ exit 0
 
 * Tue Sep 17 2013 Dominic Cleal <dcleal@redhat.com> 1.2.0-1
 - new package built with tito
-
